import { ComponentFactoryResolver } from '@angular/core';
import { MDynamicDialogData } from '../m-dynamic-dialog-services/m-dynamic-dialog-data.service';
import { MDynamicDialogReference } from '../m-dynamic-dialog-services/m-dynamic-dialog-reference.service';
import { MDynamicDialogParameter } from '../models/m-dynamic-dialog-parameter';
import { MDynamicDialogProperties } from '../models/m-dynamic-dialog-properties';
export declare class MDynamicDialogComponent {
    private mDynamicDialogReference;
    headerHeight: string;
    footerHeight: string;
    bodyHeight: string;
    loaded: boolean;
    parameter: MDynamicDialogParameter;
    id: string;
    mDynamicDialogData: MDynamicDialogData;
    componentFactoryResolver: ComponentFactoryResolver;
    content: any;
    constructor(mDynamicDialogReference: MDynamicDialogReference);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    setComponentBuilders(cfr: ComponentFactoryResolver): void;
    calculateDialogPropertiesAndSet(properties: MDynamicDialogProperties): this;
    createComponent(cfr: ComponentFactoryResolver): void;
    saveButtonEnabled(): boolean;
    closeButtonEnabled(): boolean;
    save(): void;
    close(): void;
    outsideClickClose(): void;
}
