import { MDynamicDialogProperties } from '../models/m-dynamic-dialog-properties';
import { Injector, ComponentFactoryResolver, ApplicationRef, Type } from '@angular/core';
import { MDynamicDialogParameter } from '../models/m-dynamic-dialog-parameter';
import { MDynamicDialogReference } from './m-dynamic-dialog-reference.service';
import { MDynamicDialogData } from './m-dynamic-dialog-data.service';
export declare class MDynamicDialogService {
    private componentFactoryResolver;
    private applicationRef;
    private injector;
    constructor(componentFactoryResolver: ComponentFactoryResolver, applicationRef: ApplicationRef, injector: Injector);
    createAndGetDialogReferenceInstance(parameter: MDynamicDialogParameter): MDynamicDialogReference;
    checkIfDialogContExist(): boolean;
    generateBaseDialog(reference: MDynamicDialogReference, parameter: MDynamicDialogParameter): void;
    generateDialogContainer(): void;
    generateDialogData(data: any): MDynamicDialogData;
    open(component: Type<any>, properties: MDynamicDialogProperties): MDynamicDialogReference;
}
